#
# spec file for package perl-MooseX-Types-Path-Class
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MooseX-Types-Path-Class
Version:        0.09
Release:        1.28
%define cpan_name MooseX-Types-Path-Class
Summary:        Path::Class type library for Moose
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MooseX-Types-Path-Class/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(MooseX::Types)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(Path::Class) >= 0.16
BuildRequires:  perl(Test::Needs)
Requires:       perl(MooseX::Types)
Requires:       perl(MooseX::Types::Moose)
Requires:       perl(Path::Class) >= 0.16
%{perl_requires}

%description
MooseX::Types::Path::Class creates common Moose types, coercions and option
specifications useful for dealing with Path::Class objects as Moose
attributes.

Coercions (see Moose::Util::TypeConstraints) are made from both 'Str' and
'ArrayRef' to both Path::Class::Dir and Path::Class::File objects. If you
have MooseX::Getopt installed, the 'Getopt' option type ("=s") will be
added for both Path::Class::Dir and Path::Class::File.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING LICENSE README

%changelog
* Fri Jun 24 2016 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-MooseX-Types-Path-Class/Changes
  0.09      2016-06-08 01:05:14Z
  - made MooseX::Getopt an optional dependency again (broken in 0.07)
* Wed Aug 19 2015 coolo@suse.com
- updated to 0.08
  see /usr/share/doc/packages/perl-MooseX-Types-Path-Class/Changes
  0.08      2015-08-16 02:05:52Z
  - update some distribution tooling
* Sat Jul  4 2015 coolo@suse.com
- updated to 0.07
  see /usr/share/doc/packages/perl-MooseX-Types-Path-Class/Changes
* Wed Jun  5 2013 coolo@suse.com
- updated to 0.06
  * added SEE ALSO section in pod
  * converted git repo to Dist::Zilla
* Tue Dec 20 2011 coolo@suse.com
- regenerate with cpanspec
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Wed Oct 13 2010 coolo@novell.com
- trying to remove cycle between the moose packages
* Mon Jun 14 2010 pascal.bleser@opensuse.org
- initial package (0.05)
